Get requests

Get a list of requests.

Options for filtering by requests include:

  • start/due dates
  • request IDs
  • keywords
  • title
  • creator user IDs
  • assignee user IDs
  • priority
  • status
  • program ID
  • custom properties
  • content references (WorkSpace and DocCenter content)
  • associated content (Library content)
Path Params
string
required

Space ID

Query Params
date-time

filter by request dueDate (inclusive)

date-time

filter by request dueDate (exclusive)

date-time

filter by request "plannedStartDate/StartDate" (inclusive)

date-time

filter by request "plannedStartDate/StartDate" (exclusive)

date-time

filter by request "createdAt" (inclusive)

date-time

filter by request "createdAt" (exclusive)

date-time

filter by request "updatedAt" (inclusive)

date-time

filter by request "updatedAt" (exclusive)

ids
array of strings

A list of request Ids

ids
string

Keyword values to search for on request titles

assigneeIds
array of strings

A list of assignees' user Ids to filter by

assigneeIds
priorities
array of strings

A list of priority values, Available values : critical, high, medium, low

priorities
string

Filter by keywords in both title and description

assignerIds
array of strings

A list of assigner' user Ids to filter by.

assignerIds
creatorIds
array of strings

A list of creators' user Ids to filter by.

creatorIds
stepIds
array of int32s

A list of step Ids to filter.

stepIds
string

statusSchema ID to filter by

string

A token used to guide the next page window

int32

Number of items to return per page, default: 50

sort
array of strings

Apply this to any fields that supports sorting

sort
string

The program Id a request is associated to

boolean

whether the requests is associated with a program (To be Deprecated once program is active. Use hasProgram)

customProperties
object

search condition for custom properties

followerIds
array of strings

A list of followers' user id

followerIds
associatedNodeIds
array of strings

A list of Associated node ids to filter by

associatedNodeIds
contentRefs
array of objects

List of content reference objects

contentRefs
boolean
Defaults to false

whether to include RequestFormCustomProperties, default false

Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json